Subject: [tsvwg] FW: New Version Notification for draft-amend-tsvwg-multipath-dccp-05.txt

From: <[email-masked]>
Date: Mon, 19 Jul 2021 08:31:59 +0000

Dear all,

Please let me share with you our latest update on the MP-DCCP draft. We made some substantial enhancements and corrections:

- Revising MP_KEY option for unambiguously specifying the derived key (d-key) used for authentication of subsequent subflows. This was a learning from implementing the draft specified handshake mechanism in the open source Linux reference implementation. https://github.com/markusa/ietf-multipath-dccp/commit/4fac54c951728e2441e266b5009cc6034b0870c2

- Adding possible use cases for MP-DCCP to the abstract.

- Update the DCCP Multipath option number from 45 to 46 to avoid conflicts with the Quick-Start Response option specified in RFC5634 section 2.2.1.

- Add content to the IANA considerations section

- Add implementation section

- Minor textual rework

Within the next weeks we plan to update our open source Linux reference implementation from https://multipath-dccp.org to incorporate the changes from the draft -05, but most importantly the handshake mechanism which was so far not part at all. Along with the core protocol we also plan to add tools for testing and verification. 

All this changes, accompanied by a broad alliance of supporters, let us believe it's a good time now to request WG adoption during IETF 111. We are happy to get your feedback on the mailing list or when we present in the TSVWG time slot next week. Furthermore a successful WG adoption keeps the opportunity to become relevant for 3GPP ATSSS enhancements in Rel. 18 timeframe.

Btw. we also work hard on eliminating the existing IPR disclosure right before the meeting to prevent any misunderstanding. Independent from that, the open source Linux reference implementation of MP-DCCP is a strong signal in the right direction...

Br

Markus

> -----Original Message-----
> From: [email-masked] <[email-masked]>
> Sent: Montag, 12. Juli 2021 19:02
> To: Andreas Kassler <[email-masked]>; Anna Brunstrom
> <[email-masked]>; von Hugo, Dirk <[email-masked]>; von
> Hugo, Dirk <[email-masked]>; Amend, Markus
> <[email-masked]>; Amend, Markus
> <[email-masked]>; Stephen Johnson
> <[email-masked]>; Veselin Rakocevic
> <[email-masked]>
> Subject: New Version Notification for draft-amend-tsvwg-multipath-dccp-05.txt
> 
> 
> A new version of I-D, draft-amend-tsvwg-multipath-dccp-05.txt
> has been successfully submitted by Markus Amend and posted to the
> IETF repository.
> 
> Name:		draft-amend-tsvwg-multipath-dccp
> Revision:	05
> Title:		DCCP Extensions for Multipath Operation with Multiple Addresses
> Document date:	2021-07-12
> Group:		Individual Submission
> Pages:		29
> URL:            https://www.ietf.org/archive/id/draft-amend-tsvwg-multipath-dccp-
> 05.txt
> Status:         https://datatracker.ietf.org/doc/draft-amend-tsvwg-multipath-dccp/
> Html:           https://www.ietf.org/archive/id/draft-amend-tsvwg-multipath-dccp-
> 05.html
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-amend-tsvwg-
> multipath-dccp
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-amend-tsvwg-multipath-dccp-
> 05
> 
> Abstract:
>    DCCP communication is currently restricted to a single path per
>    connection, yet multiple paths often exist between peers.  The
>    simultaneous use of these multiple paths for a DCCP session could
>    improve resource usage within the network and, thus, improve user
>    experience through higher throughput and improved resilience to
>    network failures.  Use cases for a Multipath DCCP (MP-DCCP) are
>    mobile devices (handsets, vehicles) and residential home gateways
>    simultaneously connected to distinct paths as, e.g., a cellular link
>    and a WiFi link or to a mobile radio station and a fixed access
>    network.  Compared to existing multipath protocols such as MPTCP, MP-
>    DCCP provides specific support for non-TCP user traffic as UDP or
>    plain IP.  More details on potential use cases are provided in
>    [website], [slide] and [paper].  All this use cases profit from an
>    Open Source Linux reference implementation provided under [website].
> 
>    This document presents a set of extensions to traditional DCCP to
>    support multipath operation.  Multipath DCCP provides the ability to
>    simultaneously use multiple paths between peers.  The protocol offers
>    the same type of service to applications as DCCP and it provides the
>    components necessary to establish and use multiple DCCP flows across
>    potentially disjoint paths.
> 
> 
> 
> 
> The IETF Secretariat
>